org.eclipse.microprofile.reactive.messaging.tck.channel

## Class EmitterInjectionEmittingDataAfterTerminationTest

- java.lang.Object
- - org.eclipse.microprofile.reactive.messaging.tck.TckBase
  - - org.eclipse.microprofile.reactive.messaging.tck.channel.EmitterInjectionEmittingDataAfterTerminationTest

    public class EmitterInjectionEmittingDataAfterTerminationTest
    extends TckBase

### Field Summary

### Fields inherited from class org.eclipse.microprofile.reactive.messaging.tck.TckBase

`EXECUTOR`

### Constructor Summary

Constructors
Constructor and Description
`EmitterInjectionEmittingDataAfterTerminationTest()`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`static org.jboss.shrinkwrap.api.Archive<org.jboss.shrinkwrap.api.spec.JavaArchive>` `deployment()`
`void` `testTermination()`

### Methods inherited from class org.eclipse.microprofile.reactive.messaging.tck.TckBase

`getBaseArchive`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### EmitterInjectionEmittingDataAfterTerminationTest

    public EmitterInjectionEmittingDataAfterTerminationTest()

### Method Detail

#### deployment

    @Deployment
    public static org.jboss.shrinkwrap.api.Archive<org.jboss.shrinkwrap.api.spec.JavaArchive> deployment()

#### testTermination

    public void testTermination()